# openapi
This documentation describes the Gitea API.

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1.1
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  openapi:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  openapi:
    path: /path/to/openapi
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:gitea_openapi/api.dart';

// TODO Configure API key authorization: AccessToken
//defaultApiClient.getAuthentication<ApiKeyAuth>('AccessToken').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('AccessToken').apiKeyPrefix = 'Bearer';
// TODO Configure API key authorization: AuthorizationHeaderToken
//defaultApiClient.getAuthentication<ApiKeyAuth>('AuthorizationHeaderToken').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('AuthorizationHeaderToken').apiKeyPrefix = 'Bearer';
// TODO Configure HTTP basic authorization: BasicAuth
//defaultApiClient.getAuthentication<HttpBasicAuth>('BasicAuth').username = 'YOUR_USERNAME'
//defaultApiClient.getAuthentication<HttpBasicAuth>('BasicAuth').password = 'YOUR_PASSWORD';
// TODO Configure API key authorization: SudoHeader
//defaultApiClient.getAuthentication<ApiKeyAuth>('SudoHeader').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('SudoHeader').apiKeyPrefix = 'Bearer';
// TODO Configure API key authorization: SudoParam
//defaultApiClient.getAuthentication<ApiKeyAuth>('SudoParam').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('SudoParam').apiKeyPrefix = 'Bearer';
// TODO Configure API key authorization: Token
//defaultApiClient.getAuthentication<ApiKeyAuth>('Token').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('Token').apiKeyPrefix = 'Bearer';

var api_instance = AdminApi();
var username = username_example; // String | username of the user that will own the created organization
var organization = CreateOrgOption(); // CreateOrgOption | 

try {
    var result = api_instance.adminCreateOrg(username, organization);
    print(result);
} catch (e) {
    print("Exception when calling AdminApi->adminCreateOrg: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminApi* | [**adminCreateOrg**](doc\/AdminApi.md#admincreateorg) | **POST** /admin/users/{username}/orgs | Create an organization
*AdminApi* | [**adminCreatePublicKey**](doc\/AdminApi.md#admincreatepublickey) | **POST** /admin/users/{username}/keys | Add a public key on behalf of a user
*AdminApi* | [**adminCreateRepo**](doc\/AdminApi.md#admincreaterepo) | **POST** /admin/users/{username}/repos | Create a repository on behalf of a user
*AdminApi* | [**adminCreateUser**](doc\/AdminApi.md#admincreateuser) | **POST** /admin/users | Create a user
*AdminApi* | [**adminDeleteUser**](doc\/AdminApi.md#admindeleteuser) | **DELETE** /admin/users/{username} | Delete a user
*AdminApi* | [**adminDeleteUserPublicKey**](doc\/AdminApi.md#admindeleteuserpublickey) | **DELETE** /admin/users/{username}/keys/{id} | Delete a user&#39;s public key
*AdminApi* | [**adminEditUser**](doc\/AdminApi.md#adminedituser) | **PATCH** /admin/users/{username} | Edit an existing user
*AdminApi* | [**adminGetAllOrgs**](doc\/AdminApi.md#admingetallorgs) | **GET** /admin/orgs | List all organizations
*AdminApi* | [**adminGetAllUsers**](doc\/AdminApi.md#admingetallusers) | **GET** /admin/users | List all users
*IssueApi* | [**issueAddLabel**](doc\/IssueApi.md#issueaddlabel) | **POST** /repos/{owner}/{repo}/issues/{index}/labels | Add a label to an issue
*IssueApi* | [**issueAddSubscription**](doc\/IssueApi.md#issueaddsubscription) | **PUT** /repos/{owner}/{repo}/issues/{index}/subscriptions/{user} | Subscribe user to issue
*IssueApi* | [**issueAddTime**](doc\/IssueApi.md#issueaddtime) | **POST** /repos/{owner}/{repo}/issues/{index}/times | Add tracked time to a issue
*IssueApi* | [**issueClearLabels**](doc\/IssueApi.md#issueclearlabels) | **DELETE** /repos/{owner}/{repo}/issues/{index}/labels | Remove all labels from an issue
*IssueApi* | [**issueCreateComment**](doc\/IssueApi.md#issuecreatecomment) | **POST** /repos/{owner}/{repo}/issues/{index}/comments | Add a comment to an issue
*IssueApi* | [**issueCreateIssue**](doc\/IssueApi.md#issuecreateissue) | **POST** /repos/{owner}/{repo}/issues | Create an issue. If using deadline only the date will be taken into account, and time of day ignored.
*IssueApi* | [**issueCreateLabel**](doc\/IssueApi.md#issuecreatelabel) | **POST** /repos/{owner}/{repo}/labels | Create a label
*IssueApi* | [**issueCreateMilestone**](doc\/IssueApi.md#issuecreatemilestone) | **POST** /repos/{owner}/{repo}/milestones | Create a milestone
*IssueApi* | [**issueDeleteComment**](doc\/IssueApi.md#issuedeletecomment) | **DELETE** /repos/{owner}/{repo}/issues/comments/{id} | Delete a comment
*IssueApi* | [**issueDeleteCommentDeprecated**](doc\/IssueApi.md#issuedeletecommentdeprecated) | **DELETE** /repos/{owner}/{repo}/issues/{index}/comments/{id} | Delete a comment
*IssueApi* | [**issueDeleteCommentReaction**](doc\/IssueApi.md#issuedeletecommentreaction) | **DELETE** /repos/{owner}/{repo}/issues/comments/{id}/reactions | Remove a reaction from a comment of an issue
*IssueApi* | [**issueDeleteIssueReaction**](doc\/IssueApi.md#issuedeleteissuereaction) | **DELETE** /repos/{owner}/{repo}/issues/{index}/reactions | Remove a reaction from an issue
*IssueApi* | [**issueDeleteLabel**](doc\/IssueApi.md#issuedeletelabel) | **DELETE** /repos/{owner}/{repo}/labels/{id} | Delete a label
*IssueApi* | [**issueDeleteMilestone**](doc\/IssueApi.md#issuedeletemilestone) | **DELETE** /repos/{owner}/{repo}/milestones/{id} | Delete a milestone
*IssueApi* | [**issueDeleteStopWatch**](doc\/IssueApi.md#issuedeletestopwatch) | **DELETE** /repos/{owner}/{repo}/issues/{index}/stopwatch/delete | Delete an issue&#39;s existing stopwatch.
*IssueApi* | [**issueDeleteSubscription**](doc\/IssueApi.md#issuedeletesubscription) | **DELETE** /repos/{owner}/{repo}/issues/{index}/subscriptions/{user} | Unsubscribe user from issue
*IssueApi* | [**issueDeleteTime**](doc\/IssueApi.md#issuedeletetime) | **DELETE** /repos/{owner}/{repo}/issues/{index}/times/{id} | Delete specific tracked time
*IssueApi* | [**issueEditComment**](doc\/IssueApi.md#issueeditcomment) | **PATCH** /repos/{owner}/{repo}/issues/comments/{id} | Edit a comment
*IssueApi* | [**issueEditCommentDeprecated**](doc\/IssueApi.md#issueeditcommentdeprecated) | **PATCH** /repos/{owner}/{repo}/issues/{index}/comments/{id} | Edit a comment
*IssueApi* | [**issueEditIssue**](doc\/IssueApi.md#issueeditissue) | **PATCH** /repos/{owner}/{repo}/issues/{index} | Edit an issue. If using deadline only the date will be taken into account, and time of day ignored.
*IssueApi* | [**issueEditIssueDeadline**](doc\/IssueApi.md#issueeditissuedeadline) | **POST** /repos/{owner}/{repo}/issues/{index}/deadline | Set an issue deadline. If set to null, the deadline is deleted. If using deadline only the date will be taken into account, and time of day ignored.
*IssueApi* | [**issueEditLabel**](doc\/IssueApi.md#issueeditlabel) | **PATCH** /repos/{owner}/{repo}/labels/{id} | Update a label
*IssueApi* | [**issueEditMilestone**](doc\/IssueApi.md#issueeditmilestone) | **PATCH** /repos/{owner}/{repo}/milestones/{id} | Update a milestone
*IssueApi* | [**issueGetComment**](doc\/IssueApi.md#issuegetcomment) | **GET** /repos/{owner}/{repo}/issues/comments/{id} | Get a comment
*IssueApi* | [**issueGetCommentReactions**](doc\/IssueApi.md#issuegetcommentreactions) | **GET** /repos/{owner}/{repo}/issues/comments/{id}/reactions | Get a list of reactions from a comment of an issue
*IssueApi* | [**issueGetComments**](doc\/IssueApi.md#issuegetcomments) | **GET** /repos/{owner}/{repo}/issues/{index}/comments | List all comments on an issue
*IssueApi* | [**issueGetIssue**](doc\/IssueApi.md#issuegetissue) | **GET** /repos/{owner}/{repo}/issues/{index} | Get an issue
*IssueApi* | [**issueGetIssueReactions**](doc\/IssueApi.md#issuegetissuereactions) | **GET** /repos/{owner}/{repo}/issues/{index}/reactions | Get a list reactions of an issue
*IssueApi* | [**issueGetLabel**](doc\/IssueApi.md#issuegetlabel) | **GET** /repos/{owner}/{repo}/labels/{id} | Get a single label
*IssueApi* | [**issueGetLabels**](doc\/IssueApi.md#issuegetlabels) | **GET** /repos/{owner}/{repo}/issues/{index}/labels | Get an issue&#39;s labels
*IssueApi* | [**issueGetMilestone**](doc\/IssueApi.md#issuegetmilestone) | **GET** /repos/{owner}/{repo}/milestones/{id} | Get a milestone
*IssueApi* | [**issueGetMilestonesList**](doc\/IssueApi.md#issuegetmilestoneslist) | **GET** /repos/{owner}/{repo}/milestones | Get all of a repository&#39;s opened milestones
*IssueApi* | [**issueGetRepoComments**](doc\/IssueApi.md#issuegetrepocomments) | **GET** /repos/{owner}/{repo}/issues/comments | List all comments in a repository
*IssueApi* | [**issueListIssues**](doc\/IssueApi.md#issuelistissues) | **GET** /repos/{owner}/{repo}/issues | List a repository&#39;s issues
*IssueApi* | [**issueListLabels**](doc\/IssueApi.md#issuelistlabels) | **GET** /repos/{owner}/{repo}/labels | Get all of a repository&#39;s labels
*IssueApi* | [**issuePostCommentReaction**](doc\/IssueApi.md#issuepostcommentreaction) | **POST** /repos/{owner}/{repo}/issues/comments/{id}/reactions | Add a reaction to a comment of an issue
*IssueApi* | [**issuePostIssueReaction**](doc\/IssueApi.md#issuepostissuereaction) | **POST** /repos/{owner}/{repo}/issues/{index}/reactions | Add a reaction to an issue
*IssueApi* | [**issueRemoveLabel**](doc\/IssueApi.md#issueremovelabel) | **DELETE** /repos/{owner}/{repo}/issues/{index}/labels/{id} | Remove a label from an issue
*IssueApi* | [**issueReplaceLabels**](doc\/IssueApi.md#issuereplacelabels) | **PUT** /repos/{owner}/{repo}/issues/{index}/labels | Replace an issue&#39;s labels
*IssueApi* | [**issueResetTime**](doc\/IssueApi.md#issueresettime) | **DELETE** /repos/{owner}/{repo}/issues/{index}/times | Reset a tracked time of an issue
*IssueApi* | [**issueSearchIssues**](doc\/IssueApi.md#issuesearchissues) | **GET** /repos/issues/search | Search for issues across the repositories that the user has access to
*IssueApi* | [**issueStartStopWatch**](doc\/IssueApi.md#issuestartstopwatch) | **POST** /repos/{owner}/{repo}/issues/{index}/stopwatch/start | Start stopwatch on an issue.
*IssueApi* | [**issueStopStopWatch**](doc\/IssueApi.md#issuestopstopwatch) | **POST** /repos/{owner}/{repo}/issues/{index}/stopwatch/stop | Stop an issue&#39;s existing stopwatch.
*IssueApi* | [**issueSubscriptions**](doc\/IssueApi.md#issuesubscriptions) | **GET** /repos/{owner}/{repo}/issues/{index}/subscriptions | Get users who subscribed on an issue.
*IssueApi* | [**issueTrackedTimes**](doc\/IssueApi.md#issuetrackedtimes) | **GET** /repos/{owner}/{repo}/issues/{index}/times | List an issue&#39;s tracked times
*MiscellaneousApi* | [**getSigningKey**](doc\/MiscellaneousApi.md#getsigningkey) | **GET** /signing-key.gpg | Get default signing-key.gpg
*MiscellaneousApi* | [**getVersion**](doc\/MiscellaneousApi.md#getversion) | **GET** /version | Returns the version of the Gitea application
*MiscellaneousApi* | [**renderMarkdown**](doc\/MiscellaneousApi.md#rendermarkdown) | **POST** /markdown | Render a markdown document as HTML
*MiscellaneousApi* | [**renderMarkdownRaw**](doc\/MiscellaneousApi.md#rendermarkdownraw) | **POST** /markdown/raw | Render raw markdown as HTML
*NotificationApi* | [**notifyGetList**](doc\/NotificationApi.md#notifygetlist) | **GET** /notifications | List users&#39;s notification threads
*NotificationApi* | [**notifyGetRepoList**](doc\/NotificationApi.md#notifygetrepolist) | **GET** /repos/{owner}/{repo}/notifications | List users&#39;s notification threads on a specific repo
*NotificationApi* | [**notifyGetThread**](doc\/NotificationApi.md#notifygetthread) | **GET** /notifications/threads/{id} | Get notification thread by ID
*NotificationApi* | [**notifyNewAvailable**](doc\/NotificationApi.md#notifynewavailable) | **GET** /notifications/new | Check if unread notifications exist
*NotificationApi* | [**notifyReadList**](doc\/NotificationApi.md#notifyreadlist) | **PUT** /notifications | Mark notification threads as read
*NotificationApi* | [**notifyReadRepoList**](doc\/NotificationApi.md#notifyreadrepolist) | **PUT** /repos/{owner}/{repo}/notifications | Mark notification threads as read on a specific repo
*NotificationApi* | [**notifyReadThread**](doc\/NotificationApi.md#notifyreadthread) | **PATCH** /notifications/threads/{id} | Mark notification thread as read by ID
*OrganizationApi* | [**createOrgRepo**](doc\/OrganizationApi.md#createorgrepo) | **POST** /orgs/{org}/repos | Create a repository in an organization
*OrganizationApi* | [**createOrgRepoDeprecated**](doc\/OrganizationApi.md#createorgrepodeprecated) | **POST** /org/{org}/repos | Create a repository in an organization
*OrganizationApi* | [**orgAddTeamMember**](doc\/OrganizationApi.md#orgaddteammember) | **PUT** /teams/{id}/members/{username} | Add a team member
*OrganizationApi* | [**orgAddTeamRepository**](doc\/OrganizationApi.md#orgaddteamrepository) | **PUT** /teams/{id}/repos/{org}/{repo} | Add a repository to a team
*OrganizationApi* | [**orgConcealMember**](doc\/OrganizationApi.md#orgconcealmember) | **DELETE** /orgs/{org}/public_members/{username} | Conceal a user&#39;s membership
*OrganizationApi* | [**orgCreate**](doc\/OrganizationApi.md#orgcreate) | **POST** /orgs | Create an organization
*OrganizationApi* | [**orgCreateHook**](doc\/OrganizationApi.md#orgcreatehook) | **POST** /orgs/{org}/hooks/ | Create a hook
*OrganizationApi* | [**orgCreateTeam**](doc\/OrganizationApi.md#orgcreateteam) | **POST** /orgs/{org}/teams | Create a team
*OrganizationApi* | [**orgDelete**](doc\/OrganizationApi.md#orgdelete) | **DELETE** /orgs/{org} | Delete an organization
*OrganizationApi* | [**orgDeleteHook**](doc\/OrganizationApi.md#orgdeletehook) | **DELETE** /orgs/{org}/hooks/{id} | Delete a hook
*OrganizationApi* | [**orgDeleteMember**](doc\/OrganizationApi.md#orgdeletemember) | **DELETE** /orgs/{org}/members/{username} | Remove a member from an organization
*OrganizationApi* | [**orgDeleteTeam**](doc\/OrganizationApi.md#orgdeleteteam) | **DELETE** /teams/{id} | Delete a team
*OrganizationApi* | [**orgEdit**](doc\/OrganizationApi.md#orgedit) | **PATCH** /orgs/{org} | Edit an organization
*OrganizationApi* | [**orgEditHook**](doc\/OrganizationApi.md#orgedithook) | **PATCH** /orgs/{org}/hooks/{id} | Update a hook
*OrganizationApi* | [**orgEditTeam**](doc\/OrganizationApi.md#orgeditteam) | **PATCH** /teams/{id} | Edit a team
*OrganizationApi* | [**orgGet**](doc\/OrganizationApi.md#orgget) | **GET** /orgs/{org} | Get an organization
*OrganizationApi* | [**orgGetAll**](doc\/OrganizationApi.md#orggetall) | **GET** /orgs | Get list of organizations
*OrganizationApi* | [**orgGetHook**](doc\/OrganizationApi.md#orggethook) | **GET** /orgs/{org}/hooks/{id} | Get a hook
*OrganizationApi* | [**orgGetTeam**](doc\/OrganizationApi.md#orggetteam) | **GET** /teams/{id} | Get a team
*OrganizationApi* | [**orgIsMember**](doc\/OrganizationApi.md#orgismember) | **GET** /orgs/{org}/members/{username} | Check if a user is a member of an organization
*OrganizationApi* | [**orgIsPublicMember**](doc\/OrganizationApi.md#orgispublicmember) | **GET** /orgs/{org}/public_members/{username} | Check if a user is a public member of an organization
*OrganizationApi* | [**orgListCurrentUserOrgs**](doc\/OrganizationApi.md#orglistcurrentuserorgs) | **GET** /user/orgs | List the current user&#39;s organizations
*OrganizationApi* | [**orgListHooks**](doc\/OrganizationApi.md#orglisthooks) | **GET** /orgs/{org}/hooks | List an organization&#39;s webhooks
*OrganizationApi* | [**orgListMembers**](doc\/OrganizationApi.md#orglistmembers) | **GET** /orgs/{org}/members | List an organization&#39;s members
*OrganizationApi* | [**orgListPublicMembers**](doc\/OrganizationApi.md#orglistpublicmembers) | **GET** /orgs/{org}/public_members | List an organization&#39;s public members
*OrganizationApi* | [**orgListRepos**](doc\/OrganizationApi.md#orglistrepos) | **GET** /orgs/{org}/repos | List an organization&#39;s repos
*OrganizationApi* | [**orgListTeamMember**](doc\/OrganizationApi.md#orglistteammember) | **GET** /teams/{id}/members/{username} | List a particular member of team
*OrganizationApi* | [**orgListTeamMembers**](doc\/OrganizationApi.md#orglistteammembers) | **GET** /teams/{id}/members | List a team&#39;s members
*OrganizationApi* | [**orgListTeamRepos**](doc\/OrganizationApi.md#orglistteamrepos) | **GET** /teams/{id}/repos | List a team&#39;s repos
*OrganizationApi* | [**orgListTeams**](doc\/OrganizationApi.md#orglistteams) | **GET** /orgs/{org}/teams | List an organization&#39;s teams
*OrganizationApi* | [**orgListUserOrgs**](doc\/OrganizationApi.md#orglistuserorgs) | **GET** /users/{username}/orgs | List a user&#39;s organizations
*OrganizationApi* | [**orgPublicizeMember**](doc\/OrganizationApi.md#orgpublicizemember) | **PUT** /orgs/{org}/public_members/{username} | Publicize a user&#39;s membership
*OrganizationApi* | [**orgRemoveTeamMember**](doc\/OrganizationApi.md#orgremoveteammember) | **DELETE** /teams/{id}/members/{username} | Remove a team member
*OrganizationApi* | [**orgRemoveTeamRepository**](doc\/OrganizationApi.md#orgremoveteamrepository) | **DELETE** /teams/{id}/repos/{org}/{repo} | Remove a repository from a team
*OrganizationApi* | [**teamSearch**](doc\/OrganizationApi.md#teamsearch) | **GET** /orgs/{org}/teams/search | Search for teams within an organization
*RepositoryApi* | [**createCurrentUserRepo**](doc\/RepositoryApi.md#createcurrentuserrepo) | **POST** /user/repos | Create a repository
*RepositoryApi* | [**createFork**](doc\/RepositoryApi.md#createfork) | **POST** /repos/{owner}/{repo}/forks | Fork a repository
*RepositoryApi* | [**getBlob**](doc\/RepositoryApi.md#getblob) | **GET** /repos/{owner}/{repo}/git/blobs/{sha} | Gets the blob of a repository.
*RepositoryApi* | [**getTag**](doc\/RepositoryApi.md#gettag) | **GET** /repos/{owner}/{repo}/git/tags/{sha} | Gets the tag object of an annotated tag (not lightweight tags)
*RepositoryApi* | [**getTree**](doc\/RepositoryApi.md#gettree) | **GET** /repos/{owner}/{repo}/git/trees/{sha} | Gets the tree of a repository.
*RepositoryApi* | [**listForks**](doc\/RepositoryApi.md#listforks) | **GET** /repos/{owner}/{repo}/forks | List a repository&#39;s forks
*RepositoryApi* | [**repoAddCollaborator**](doc\/RepositoryApi.md#repoaddcollaborator) | **PUT** /repos/{owner}/{repo}/collaborators/{collaborator} | Add a collaborator to a repository
*RepositoryApi* | [**repoAddTopíc**](doc\/RepositoryApi.md#repoaddtopíc) | **PUT** /repos/{owner}/{repo}/topics/{topic} | Add a topic to a repository
*RepositoryApi* | [**repoCheckCollaborator**](doc\/RepositoryApi.md#repocheckcollaborator) | **GET** /repos/{owner}/{repo}/collaborators/{collaborator} | Check if a user is a collaborator of a repository
*RepositoryApi* | [**repoCreateBranchProtection**](doc\/RepositoryApi.md#repocreatebranchprotection) | **POST** /repos/{owner}/{repo}/branch_protections | Create a branch protections for a repository
*RepositoryApi* | [**repoCreateFile**](doc\/RepositoryApi.md#repocreatefile) | **POST** /repos/{owner}/{repo}/contents/{filepath} | Create a file in a repository
*RepositoryApi* | [**repoCreateHook**](doc\/RepositoryApi.md#repocreatehook) | **POST** /repos/{owner}/{repo}/hooks | Create a hook
*RepositoryApi* | [**repoCreateKey**](doc\/RepositoryApi.md#repocreatekey) | **POST** /repos/{owner}/{repo}/keys | Add a key to a repository
*RepositoryApi* | [**repoCreatePullRequest**](doc\/RepositoryApi.md#repocreatepullrequest) | **POST** /repos/{owner}/{repo}/pulls | Create a pull request
*RepositoryApi* | [**repoCreateRelease**](doc\/RepositoryApi.md#repocreaterelease) | **POST** /repos/{owner}/{repo}/releases | Create a release
*RepositoryApi* | [**repoCreateReleaseAttachment**](doc\/RepositoryApi.md#repocreatereleaseattachment) | **POST** /repos/{owner}/{repo}/releases/{id}/assets | Create a release attachment
*RepositoryApi* | [**repoCreateStatus**](doc\/RepositoryApi.md#repocreatestatus) | **POST** /repos/{owner}/{repo}/statuses/{sha} | Create a commit status
*RepositoryApi* | [**repoDelete**](doc\/RepositoryApi.md#repodelete) | **DELETE** /repos/{owner}/{repo} | Delete a repository
*RepositoryApi* | [**repoDeleteBranchProtection**](doc\/RepositoryApi.md#repodeletebranchprotection) | **DELETE** /repos/{owner}/{repo}/branch_protections/{name} | Delete a specific branch protection for the repository
*RepositoryApi* | [**repoDeleteCollaborator**](doc\/RepositoryApi.md#repodeletecollaborator) | **DELETE** /repos/{owner}/{repo}/collaborators/{collaborator} | Delete a collaborator from a repository
*RepositoryApi* | [**repoDeleteFile**](doc\/RepositoryApi.md#repodeletefile) | **DELETE** /repos/{owner}/{repo}/contents/{filepath} | Delete a file in a repository
*RepositoryApi* | [**repoDeleteGitHook**](doc\/RepositoryApi.md#repodeletegithook) | **DELETE** /repos/{owner}/{repo}/hooks/git/{id} | Delete a Git hook in a repository
*RepositoryApi* | [**repoDeleteHook**](doc\/RepositoryApi.md#repodeletehook) | **DELETE** /repos/{owner}/{repo}/hooks/{id} | Delete a hook in a repository
*RepositoryApi* | [**repoDeleteKey**](doc\/RepositoryApi.md#repodeletekey) | **DELETE** /repos/{owner}/{repo}/keys/{id} | Delete a key from a repository
*RepositoryApi* | [**repoDeleteRelease**](doc\/RepositoryApi.md#repodeleterelease) | **DELETE** /repos/{owner}/{repo}/releases/{id} | Delete a release
*RepositoryApi* | [**repoDeleteReleaseAttachment**](doc\/RepositoryApi.md#repodeletereleaseattachment) | **DELETE** /repos/{owner}/{repo}/releases/{id}/assets/{attachment_id} | Delete a release attachment
*RepositoryApi* | [**repoDeleteTopic**](doc\/RepositoryApi.md#repodeletetopic) | **DELETE** /repos/{owner}/{repo}/topics/{topic} | Delete a topic from a repository
*RepositoryApi* | [**repoEdit**](doc\/RepositoryApi.md#repoedit) | **PATCH** /repos/{owner}/{repo} | Edit a repository&#39;s properties. Only fields that are set will be changed.
*RepositoryApi* | [**repoEditBranchProtection**](doc\/RepositoryApi.md#repoeditbranchprotection) | **PATCH** /repos/{owner}/{repo}/branch_protections/{name} | Edit a branch protections for a repository. Only fields that are set will be changed
*RepositoryApi* | [**repoEditGitHook**](doc\/RepositoryApi.md#repoeditgithook) | **PATCH** /repos/{owner}/{repo}/hooks/git/{id} | Edit a Git hook in a repository
*RepositoryApi* | [**repoEditHook**](doc\/RepositoryApi.md#repoedithook) | **PATCH** /repos/{owner}/{repo}/hooks/{id} | Edit a hook in a repository
*RepositoryApi* | [**repoEditPullRequest**](doc\/RepositoryApi.md#repoeditpullrequest) | **PATCH** /repos/{owner}/{repo}/pulls/{index} | Update a pull request. If using deadline only the date will be taken into account, and time of day ignored.
*RepositoryApi* | [**repoEditRelease**](doc\/RepositoryApi.md#repoeditrelease) | **PATCH** /repos/{owner}/{repo}/releases/{id} | Update a release
*RepositoryApi* | [**repoEditReleaseAttachment**](doc\/RepositoryApi.md#repoeditreleaseattachment) | **PATCH** /repos/{owner}/{repo}/releases/{id}/assets/{attachment_id} | Edit a release attachment
*RepositoryApi* | [**repoGet**](doc\/RepositoryApi.md#repoget) | **GET** /repos/{owner}/{repo} | Get a repository
*RepositoryApi* | [**repoGetAllCommits**](doc\/RepositoryApi.md#repogetallcommits) | **GET** /repos/{owner}/{repo}/commits | Get a list of all commits from a repository
*RepositoryApi* | [**repoGetArchive**](doc\/RepositoryApi.md#repogetarchive) | **GET** /repos/{owner}/{repo}/archive/{archive} | Get an archive of a repository
*RepositoryApi* | [**repoGetBranch**](doc\/RepositoryApi.md#repogetbranch) | **GET** /repos/{owner}/{repo}/branches/{branch} | Retrieve a specific branch from a repository, including its effective branch protection
*RepositoryApi* | [**repoGetBranchProtection**](doc\/RepositoryApi.md#repogetbranchprotection) | **GET** /repos/{owner}/{repo}/branch_protections/{name} | Get a specific branch protection for the repository
*RepositoryApi* | [**repoGetByID**](doc\/RepositoryApi.md#repogetbyid) | **GET** /repositories/{id} | Get a repository by id
*RepositoryApi* | [**repoGetCombinedStatusByRef**](doc\/RepositoryApi.md#repogetcombinedstatusbyref) | **GET** /repos/{owner}/{repo}/commits/{ref}/statuses | Get a commit&#39;s combined status, by branch/tag/commit reference
*RepositoryApi* | [**repoGetContents**](doc\/RepositoryApi.md#repogetcontents) | **GET** /repos/{owner}/{repo}/contents/{filepath} | Gets the metadata and contents (if a file) of an entry in a repository, or a list of entries if a dir
*RepositoryApi* | [**repoGetContentsList**](doc\/RepositoryApi.md#repogetcontentslist) | **GET** /repos/{owner}/{repo}/contents | Gets the metadata of all the entries of the root dir
*RepositoryApi* | [**repoGetEditorConfig**](doc\/RepositoryApi.md#repogeteditorconfig) | **GET** /repos/{owner}/{repo}/editorconfig/{filepath} | Get the EditorConfig definitions of a file in a repository
*RepositoryApi* | [**repoGetGitHook**](doc\/RepositoryApi.md#repogetgithook) | **GET** /repos/{owner}/{repo}/hooks/git/{id} | Get a Git hook
*RepositoryApi* | [**repoGetHook**](doc\/RepositoryApi.md#repogethook) | **GET** /repos/{owner}/{repo}/hooks/{id} | Get a hook
*RepositoryApi* | [**repoGetKey**](doc\/RepositoryApi.md#repogetkey) | **GET** /repos/{owner}/{repo}/keys/{id} | Get a repository&#39;s key by id
*RepositoryApi* | [**repoGetPullRequest**](doc\/RepositoryApi.md#repogetpullrequest) | **GET** /repos/{owner}/{repo}/pulls/{index} | Get a pull request
*RepositoryApi* | [**repoGetRawFile**](doc\/RepositoryApi.md#repogetrawfile) | **GET** /repos/{owner}/{repo}/raw/{filepath} | Get a file from a repository
*RepositoryApi* | [**repoGetRelease**](doc\/RepositoryApi.md#repogetrelease) | **GET** /repos/{owner}/{repo}/releases/{id} | Get a release
*RepositoryApi* | [**repoGetReleaseAttachment**](doc\/RepositoryApi.md#repogetreleaseattachment) | **GET** /repos/{owner}/{repo}/releases/{id}/assets/{attachment_id} | Get a release attachment
*RepositoryApi* | [**repoGetSingleCommit**](doc\/RepositoryApi.md#repogetsinglecommit) | **GET** /repos/{owner}/{repo}/git/commits/{sha} | Get a single commit from a repository
*RepositoryApi* | [**repoListAllGitRefs**](doc\/RepositoryApi.md#repolistallgitrefs) | **GET** /repos/{owner}/{repo}/git/refs | Get specified ref or filtered repository&#39;s refs
*RepositoryApi* | [**repoListBranchProtection**](doc\/RepositoryApi.md#repolistbranchprotection) | **GET** /repos/{owner}/{repo}/branch_protections | List branch protections for a repository
*RepositoryApi* | [**repoListBranches**](doc\/RepositoryApi.md#repolistbranches) | **GET** /repos/{owner}/{repo}/branches | List a repository&#39;s branches
*RepositoryApi* | [**repoListCollaborators**](doc\/RepositoryApi.md#repolistcollaborators) | **GET** /repos/{owner}/{repo}/collaborators | List a repository&#39;s collaborators
*RepositoryApi* | [**repoListGitHooks**](doc\/RepositoryApi.md#repolistgithooks) | **GET** /repos/{owner}/{repo}/hooks/git | List the Git hooks in a repository
*RepositoryApi* | [**repoListGitRefs**](doc\/RepositoryApi.md#repolistgitrefs) | **GET** /repos/{owner}/{repo}/git/refs/{ref} | Get specified ref or filtered repository&#39;s refs
*RepositoryApi* | [**repoListHooks**](doc\/RepositoryApi.md#repolisthooks) | **GET** /repos/{owner}/{repo}/hooks | List the hooks in a repository
*RepositoryApi* | [**repoListKeys**](doc\/RepositoryApi.md#repolistkeys) | **GET** /repos/{owner}/{repo}/keys | List a repository&#39;s keys
*RepositoryApi* | [**repoListPullRequests**](doc\/RepositoryApi.md#repolistpullrequests) | **GET** /repos/{owner}/{repo}/pulls | List a repo&#39;s pull requests
*RepositoryApi* | [**repoListReleaseAttachments**](doc\/RepositoryApi.md#repolistreleaseattachments) | **GET** /repos/{owner}/{repo}/releases/{id}/assets | List release&#39;s attachments
*RepositoryApi* | [**repoListReleases**](doc\/RepositoryApi.md#repolistreleases) | **GET** /repos/{owner}/{repo}/releases | List a repo&#39;s releases
*RepositoryApi* | [**repoListStargazers**](doc\/RepositoryApi.md#repoliststargazers) | **GET** /repos/{owner}/{repo}/stargazers | List a repo&#39;s stargazers
*RepositoryApi* | [**repoListStatuses**](doc\/RepositoryApi.md#repoliststatuses) | **GET** /repos/{owner}/{repo}/statuses/{sha} | Get a commit&#39;s statuses
*RepositoryApi* | [**repoListSubscribers**](doc\/RepositoryApi.md#repolistsubscribers) | **GET** /repos/{owner}/{repo}/subscribers | List a repo&#39;s watchers
*RepositoryApi* | [**repoListTags**](doc\/RepositoryApi.md#repolisttags) | **GET** /repos/{owner}/{repo}/tags | List a repository&#39;s tags
*RepositoryApi* | [**repoListTopics**](doc\/RepositoryApi.md#repolisttopics) | **GET** /repos/{owner}/{repo}/topics | Get list of topics that a repository has
*RepositoryApi* | [**repoMergePullRequest**](doc\/RepositoryApi.md#repomergepullrequest) | **POST** /repos/{owner}/{repo}/pulls/{index}/merge | Merge a pull request
*RepositoryApi* | [**repoMigrate**](doc\/RepositoryApi.md#repomigrate) | **POST** /repos/migrate | Migrate a remote git repository
*RepositoryApi* | [**repoMirrorSync**](doc\/RepositoryApi.md#repomirrorsync) | **POST** /repos/{owner}/{repo}/mirror-sync | Sync a mirrored repository
*RepositoryApi* | [**repoPullRequestIsMerged**](doc\/RepositoryApi.md#repopullrequestismerged) | **GET** /repos/{owner}/{repo}/pulls/{index}/merge | Check if a pull request has been merged
*RepositoryApi* | [**repoSearch**](doc\/RepositoryApi.md#reposearch) | **GET** /repos/search | Search for repositories
*RepositoryApi* | [**repoSigningKey**](doc\/RepositoryApi.md#reposigningkey) | **GET** /repos/{owner}/{repo}/signing-key.gpg | Get signing-key.gpg for given repository
*RepositoryApi* | [**repoTestHook**](doc\/RepositoryApi.md#repotesthook) | **POST** /repos/{owner}/{repo}/hooks/{id}/tests | Test a push webhook
*RepositoryApi* | [**repoTrackedTimes**](doc\/RepositoryApi.md#repotrackedtimes) | **GET** /repos/{owner}/{repo}/times | List a repo&#39;s tracked times
*RepositoryApi* | [**repoTransfer**](doc\/RepositoryApi.md#repotransfer) | **POST** /repos/{owner}/{repo}/transfer | Transfer a repo ownership
*RepositoryApi* | [**repoUpdateFile**](doc\/RepositoryApi.md#repoupdatefile) | **PUT** /repos/{owner}/{repo}/contents/{filepath} | Update a file in a repository
*RepositoryApi* | [**repoUpdateTopics**](doc\/RepositoryApi.md#repoupdatetopics) | **PUT** /repos/{owner}/{repo}/topics | Replace list of topics for a repository
*RepositoryApi* | [**topicSearch**](doc\/RepositoryApi.md#topicsearch) | **GET** /topics/search | search topics via keyword
*RepositoryApi* | [**userCurrentCheckSubscription**](doc\/RepositoryApi.md#usercurrentchecksubscription) | **GET** /repos/{owner}/{repo}/subscription | Check if the current user is watching a repo
*RepositoryApi* | [**userCurrentDeleteSubscription**](doc\/RepositoryApi.md#usercurrentdeletesubscription) | **DELETE** /repos/{owner}/{repo}/subscription | Unwatch a repo
*RepositoryApi* | [**userCurrentPutSubscription**](doc\/RepositoryApi.md#usercurrentputsubscription) | **PUT** /repos/{owner}/{repo}/subscription | Watch a repo
*RepositoryApi* | [**userTrackedTimes**](doc\/RepositoryApi.md#usertrackedtimes) | **GET** /repos/{owner}/{repo}/times/{user} | List a user&#39;s tracked times in a repo
*UserApi* | [**createCurrentUserRepo**](doc\/UserApi.md#createcurrentuserrepo) | **POST** /user/repos | Create a repository
*UserApi* | [**userAddEmail**](doc\/UserApi.md#useraddemail) | **POST** /user/emails | Add email addresses
*UserApi* | [**userCheckFollowing**](doc\/UserApi.md#usercheckfollowing) | **GET** /users/{follower}/following/{followee} | Check if one user is following another user
*UserApi* | [**userCreateToken**](doc\/UserApi.md#usercreatetoken) | **POST** /users/{username}/tokens | Create an access token
*UserApi* | [**userCurrentCheckFollowing**](doc\/UserApi.md#usercurrentcheckfollowing) | **GET** /user/following/{username} | Check whether a user is followed by the authenticated user
*UserApi* | [**userCurrentCheckStarring**](doc\/UserApi.md#usercurrentcheckstarring) | **GET** /user/starred/{owner}/{repo} | Whether the authenticated is starring the repo
*UserApi* | [**userCurrentDeleteFollow**](doc\/UserApi.md#usercurrentdeletefollow) | **DELETE** /user/following/{username} | Unfollow a user
*UserApi* | [**userCurrentDeleteGPGKey**](doc\/UserApi.md#usercurrentdeletegpgkey) | **DELETE** /user/gpg_keys/{id} | Remove a GPG key
*UserApi* | [**userCurrentDeleteKey**](doc\/UserApi.md#usercurrentdeletekey) | **DELETE** /user/keys/{id} | Delete a public key
*UserApi* | [**userCurrentDeleteStar**](doc\/UserApi.md#usercurrentdeletestar) | **DELETE** /user/starred/{owner}/{repo} | Unstar the given repo
*UserApi* | [**userCurrentGetGPGKey**](doc\/UserApi.md#usercurrentgetgpgkey) | **GET** /user/gpg_keys/{id} | Get a GPG key
*UserApi* | [**userCurrentGetKey**](doc\/UserApi.md#usercurrentgetkey) | **GET** /user/keys/{id} | Get a public key
*UserApi* | [**userCurrentListFollowers**](doc\/UserApi.md#usercurrentlistfollowers) | **GET** /user/followers | List the authenticated user&#39;s followers
*UserApi* | [**userCurrentListFollowing**](doc\/UserApi.md#usercurrentlistfollowing) | **GET** /user/following | List the users that the authenticated user is following
*UserApi* | [**userCurrentListGPGKeys**](doc\/UserApi.md#usercurrentlistgpgkeys) | **GET** /user/gpg_keys | List the authenticated user&#39;s GPG keys
*UserApi* | [**userCurrentListKeys**](doc\/UserApi.md#usercurrentlistkeys) | **GET** /user/keys | List the authenticated user&#39;s public keys
*UserApi* | [**userCurrentListRepos**](doc\/UserApi.md#usercurrentlistrepos) | **GET** /user/repos | List the repos that the authenticated user owns or has access to
*UserApi* | [**userCurrentListStarred**](doc\/UserApi.md#usercurrentliststarred) | **GET** /user/starred | The repos that the authenticated user has starred
*UserApi* | [**userCurrentListSubscriptions**](doc\/UserApi.md#usercurrentlistsubscriptions) | **GET** /user/subscriptions | List repositories watched by the authenticated user
*UserApi* | [**userCurrentPostGPGKey**](doc\/UserApi.md#usercurrentpostgpgkey) | **POST** /user/gpg_keys | Create a GPG key
*UserApi* | [**userCurrentPostKey**](doc\/UserApi.md#usercurrentpostkey) | **POST** /user/keys | Create a public key
*UserApi* | [**userCurrentPutFollow**](doc\/UserApi.md#usercurrentputfollow) | **PUT** /user/following/{username} | Follow a user
*UserApi* | [**userCurrentPutStar**](doc\/UserApi.md#usercurrentputstar) | **PUT** /user/starred/{owner}/{repo} | Star the given repo
*UserApi* | [**userCurrentTrackedTimes**](doc\/UserApi.md#usercurrenttrackedtimes) | **GET** /user/times | List the current user&#39;s tracked times
*UserApi* | [**userDeleteAccessToken**](doc\/UserApi.md#userdeleteaccesstoken) | **DELETE** /users/{username}/tokens/{token} | delete an access token
*UserApi* | [**userDeleteEmail**](doc\/UserApi.md#userdeleteemail) | **DELETE** /user/emails | Delete email addresses
*UserApi* | [**userGet**](doc\/UserApi.md#userget) | **GET** /users/{username} | Get a user
*UserApi* | [**userGetCurrent**](doc\/UserApi.md#usergetcurrent) | **GET** /user | Get the authenticated user
*UserApi* | [**userGetHeatmapData**](doc\/UserApi.md#usergetheatmapdata) | **GET** /users/{username}/heatmap | Get a user&#39;s heatmap
*UserApi* | [**userGetStopWatches**](doc\/UserApi.md#usergetstopwatches) | **GET** /user/stopwatches | Get list of all existing stopwatches
*UserApi* | [**userGetTokens**](doc\/UserApi.md#usergettokens) | **GET** /users/{username}/tokens | List the authenticated user&#39;s access tokens
*UserApi* | [**userListEmails**](doc\/UserApi.md#userlistemails) | **GET** /user/emails | List the authenticated user&#39;s email addresses
*UserApi* | [**userListFollowers**](doc\/UserApi.md#userlistfollowers) | **GET** /users/{username}/followers | List the given user&#39;s followers
*UserApi* | [**userListFollowing**](doc\/UserApi.md#userlistfollowing) | **GET** /users/{username}/following | List the users that the given user is following
*UserApi* | [**userListGPGKeys**](doc\/UserApi.md#userlistgpgkeys) | **GET** /users/{username}/gpg_keys | List the given user&#39;s GPG keys
*UserApi* | [**userListKeys**](doc\/UserApi.md#userlistkeys) | **GET** /users/{username}/keys | List the given user&#39;s public keys
*UserApi* | [**userListRepos**](doc\/UserApi.md#userlistrepos) | **GET** /users/{username}/repos | List the repos owned by the given user
*UserApi* | [**userListStarred**](doc\/UserApi.md#userliststarred) | **GET** /users/{username}/starred | The repos that the given user has starred
*UserApi* | [**userListSubscriptions**](doc\/UserApi.md#userlistsubscriptions) | **GET** /users/{username}/subscriptions | List the repositories watched by a user
*UserApi* | [**userListTeams**](doc\/UserApi.md#userlistteams) | **GET** /user/teams | List all the teams a user belongs to
*UserApi* | [**userSearch**](doc\/UserApi.md#usersearch) | **GET** /users/search | Search for users


## Documentation For Models

 - [APIError](doc\/APIError.md)
 - [AccessToken](doc\/AccessToken.md)
 - [AddCollaboratorOption](doc\/AddCollaboratorOption.md)
 - [AddTimeOption](doc\/AddTimeOption.md)
 - [AnnotatedTag](doc\/AnnotatedTag.md)
 - [AnnotatedTagObject](doc\/AnnotatedTagObject.md)
 - [Attachment](doc\/Attachment.md)
 - [Branch](doc\/Branch.md)
 - [BranchProtection](doc\/BranchProtection.md)
 - [Comment](doc\/Comment.md)
 - [Commit](doc\/Commit.md)
 - [CommitDateOptions](doc\/CommitDateOptions.md)
 - [CommitMeta](doc\/CommitMeta.md)
 - [CommitUser](doc\/CommitUser.md)
 - [ContentsResponse](doc\/ContentsResponse.md)
 - [CreateBranchProtectionOption](doc\/CreateBranchProtectionOption.md)
 - [CreateEmailOption](doc\/CreateEmailOption.md)
 - [CreateFileOptions](doc\/CreateFileOptions.md)
 - [CreateForkOption](doc\/CreateForkOption.md)
 - [CreateGPGKeyOption](doc\/CreateGPGKeyOption.md)
 - [CreateHookOption](doc\/CreateHookOption.md)
 - [CreateIssueCommentOption](doc\/CreateIssueCommentOption.md)
 - [CreateIssueOption](doc\/CreateIssueOption.md)
 - [CreateKeyOption](doc\/CreateKeyOption.md)
 - [CreateLabelOption](doc\/CreateLabelOption.md)
 - [CreateMilestoneOption](doc\/CreateMilestoneOption.md)
 - [CreateOrgOption](doc\/CreateOrgOption.md)
 - [CreatePullRequestOption](doc\/CreatePullRequestOption.md)
 - [CreateReleaseOption](doc\/CreateReleaseOption.md)
 - [CreateRepoOption](doc\/CreateRepoOption.md)
 - [CreateStatusOption](doc\/CreateStatusOption.md)
 - [CreateTeamOption](doc\/CreateTeamOption.md)
 - [CreateUserOption](doc\/CreateUserOption.md)
 - [DeleteEmailOption](doc\/DeleteEmailOption.md)
 - [DeleteFileOptions](doc\/DeleteFileOptions.md)
 - [DeployKey](doc\/DeployKey.md)
 - [EditAttachmentOptions](doc\/EditAttachmentOptions.md)
 - [EditBranchProtectionOption](doc\/EditBranchProtectionOption.md)
 - [EditDeadlineOption](doc\/EditDeadlineOption.md)
 - [EditGitHookOption](doc\/EditGitHookOption.md)
 - [EditHookOption](doc\/EditHookOption.md)
 - [EditIssueCommentOption](doc\/EditIssueCommentOption.md)
 - [EditIssueOption](doc\/EditIssueOption.md)
 - [EditLabelOption](doc\/EditLabelOption.md)
 - [EditMilestoneOption](doc\/EditMilestoneOption.md)
 - [EditOrgOption](doc\/EditOrgOption.md)
 - [EditPullRequestOption](doc\/EditPullRequestOption.md)
 - [EditReactionOption](doc\/EditReactionOption.md)
 - [EditReleaseOption](doc\/EditReleaseOption.md)
 - [EditRepoOption](doc\/EditRepoOption.md)
 - [EditTeamOption](doc\/EditTeamOption.md)
 - [EditUserOption](doc\/EditUserOption.md)
 - [Email](doc\/Email.md)
 - [ExternalTracker](doc\/ExternalTracker.md)
 - [ExternalWiki](doc\/ExternalWiki.md)
 - [FileCommitResponse](doc\/FileCommitResponse.md)
 - [FileDeleteResponse](doc\/FileDeleteResponse.md)
 - [FileLinksResponse](doc\/FileLinksResponse.md)
 - [FileResponse](doc\/FileResponse.md)
 - [GPGKey](doc\/GPGKey.md)
 - [GPGKeyEmail](doc\/GPGKeyEmail.md)
 - [GitBlobResponse](doc\/GitBlobResponse.md)
 - [GitEntry](doc\/GitEntry.md)
 - [GitHook](doc\/GitHook.md)
 - [GitObject](doc\/GitObject.md)
 - [GitTreeResponse](doc\/GitTreeResponse.md)
 - [Hook](doc\/Hook.md)
 - [Identity](doc\/Identity.md)
 - [InlineObject](doc\/InlineObject.md)
 - [InlineResponse200](doc\/InlineResponse200.md)
 - [InlineResponse2001](doc\/InlineResponse2001.md)
 - [InternalTracker](doc\/InternalTracker.md)
 - [Issue](doc\/Issue.md)
 - [IssueDeadline](doc\/IssueDeadline.md)
 - [IssueLabelsOption](doc\/IssueLabelsOption.md)
 - [Label](doc\/Label.md)
 - [MarkdownOption](doc\/MarkdownOption.md)
 - [MergePullRequestOption](doc\/MergePullRequestOption.md)
 - [MigrateRepoForm](doc\/MigrateRepoForm.md)
 - [Milestone](doc\/Milestone.md)
 - [NotificationCount](doc\/NotificationCount.md)
 - [NotificationSubject](doc\/NotificationSubject.md)
 - [NotificationThread](doc\/NotificationThread.md)
 - [Organization](doc\/Organization.md)
 - [PRBranchInfo](doc\/PRBranchInfo.md)
 - [PayloadCommit](doc\/PayloadCommit.md)
 - [PayloadCommitVerification](doc\/PayloadCommitVerification.md)
 - [PayloadUser](doc\/PayloadUser.md)
 - [Permission](doc\/Permission.md)
 - [PublicKey](doc\/PublicKey.md)
 - [PullRequest](doc\/PullRequest.md)
 - [PullRequestMeta](doc\/PullRequestMeta.md)
 - [Reaction](doc\/Reaction.md)
 - [Reference](doc\/Reference.md)
 - [Release](doc\/Release.md)
 - [RepoCommit](doc\/RepoCommit.md)
 - [RepoTopicOptions](doc\/RepoTopicOptions.md)
 - [Repository](doc\/Repository.md)
 - [RepositoryMeta](doc\/RepositoryMeta.md)
 - [SearchResults](doc\/SearchResults.md)
 - [ServerVersion](doc\/ServerVersion.md)
 - [Status](doc\/Status.md)
 - [StopWatch](doc\/StopWatch.md)
 - [Tag](doc\/Tag.md)
 - [Team](doc\/Team.md)
 - [TopicName](doc\/TopicName.md)
 - [TopicResponse](doc\/TopicResponse.md)
 - [TrackedTime](doc\/TrackedTime.md)
 - [TransferRepoOption](doc\/TransferRepoOption.md)
 - [UpdateFileOptions](doc\/UpdateFileOptions.md)
 - [User](doc\/User.md)
 - [UserHeatmapData](doc\/UserHeatmapData.md)
 - [WatchInfo](doc\/WatchInfo.md)


## Documentation For Authorization


## AccessToken

- **Type**: API key
- **API key parameter name**: access_token
- **Location**: URL query string

## AuthorizationHeaderToken

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## BasicAuth

- **Type**: HTTP basic authentication

## SudoHeader

- **Type**: API key
- **API key parameter name**: Sudo
- **Location**: HTTP header

## SudoParam

- **Type**: API key
- **API key parameter name**: sudo
- **Location**: URL query string

## Token

- **Type**: API key
- **API key parameter name**: token
- **Location**: URL query string


## Author




