library gitea_openapi;

import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/admin_api.dart';
part 'api/issue_api.dart';
part 'api/miscellaneous_api.dart';
part 'api/notification_api.dart';
part 'api/organization_api.dart';
part 'api/repository_api.dart';
part 'api/user_api.dart';

part 'model/api_error.dart';
part 'model/access_token.dart';
part 'model/add_collaborator_option.dart';
part 'model/add_time_option.dart';
part 'model/annotated_tag.dart';
part 'model/annotated_tag_object.dart';
part 'model/attachment.dart';
part 'model/branch.dart';
part 'model/branch_protection.dart';
part 'model/comment.dart';
part 'model/commit.dart';
part 'model/commit_date_options.dart';
part 'model/commit_meta.dart';
part 'model/commit_user.dart';
part 'model/contents_response.dart';
part 'model/create_branch_protection_option.dart';
part 'model/create_email_option.dart';
part 'model/create_file_options.dart';
part 'model/create_fork_option.dart';
part 'model/create_gpg_key_option.dart';
part 'model/create_hook_option.dart';
part 'model/create_issue_comment_option.dart';
part 'model/create_issue_option.dart';
part 'model/create_key_option.dart';
part 'model/create_label_option.dart';
part 'model/create_milestone_option.dart';
part 'model/create_org_option.dart';
part 'model/create_pull_request_option.dart';
part 'model/create_release_option.dart';
part 'model/create_repo_option.dart';
part 'model/create_status_option.dart';
part 'model/create_team_option.dart';
part 'model/create_user_option.dart';
part 'model/delete_email_option.dart';
part 'model/delete_file_options.dart';
part 'model/deploy_key.dart';
part 'model/edit_attachment_options.dart';
part 'model/edit_branch_protection_option.dart';
part 'model/edit_deadline_option.dart';
part 'model/edit_git_hook_option.dart';
part 'model/edit_hook_option.dart';
part 'model/edit_issue_comment_option.dart';
part 'model/edit_issue_option.dart';
part 'model/edit_label_option.dart';
part 'model/edit_milestone_option.dart';
part 'model/edit_org_option.dart';
part 'model/edit_pull_request_option.dart';
part 'model/edit_reaction_option.dart';
part 'model/edit_release_option.dart';
part 'model/edit_repo_option.dart';
part 'model/edit_team_option.dart';
part 'model/edit_user_option.dart';
part 'model/email.dart';
part 'model/external_tracker.dart';
part 'model/external_wiki.dart';
part 'model/file_commit_response.dart';
part 'model/file_delete_response.dart';
part 'model/file_links_response.dart';
part 'model/file_response.dart';
part 'model/gpg_key.dart';
part 'model/gpg_key_email.dart';
part 'model/git_blob_response.dart';
part 'model/git_entry.dart';
part 'model/git_hook.dart';
part 'model/git_object.dart';
part 'model/git_tree_response.dart';
part 'model/hook.dart';
part 'model/identity.dart';
part 'model/inline_object.dart';
part 'model/inline_response200.dart';
part 'model/inline_response2001.dart';
part 'model/internal_tracker.dart';
part 'model/issue.dart';
part 'model/issue_deadline.dart';
part 'model/issue_labels_option.dart';
part 'model/label.dart';
part 'model/markdown_option.dart';
part 'model/merge_pull_request_option.dart';
part 'model/migrate_repo_form.dart';
part 'model/milestone.dart';
part 'model/notification_count.dart';
part 'model/notification_subject.dart';
part 'model/notification_thread.dart';
part 'model/organization.dart';
part 'model/pr_branch_info.dart';
part 'model/payload_commit.dart';
part 'model/payload_commit_verification.dart';
part 'model/payload_user.dart';
part 'model/permission.dart';
part 'model/public_key.dart';
part 'model/pull_request.dart';
part 'model/pull_request_meta.dart';
part 'model/reaction.dart';
part 'model/reference.dart';
part 'model/release.dart';
part 'model/repo_commit.dart';
part 'model/repo_topic_options.dart';
part 'model/repository.dart';
part 'model/repository_meta.dart';
part 'model/search_results.dart';
part 'model/server_version.dart';
part 'model/status.dart';
part 'model/stop_watch.dart';
part 'model/tag.dart';
part 'model/team.dart';
part 'model/topic_name.dart';
part 'model/topic_response.dart';
part 'model/tracked_time.dart';
part 'model/transfer_repo_option.dart';
part 'model/update_file_options.dart';
part 'model/user.dart';
part 'model/user_heatmap_data.dart';
part 'model/watch_info.dart';

ApiClient defaultApiClient = ApiClient();
